org.apache.ignite.internal.processors.query

## Class GridQueryCancel

- java.lang.Object
- - org.apache.ignite.internal.processors.query.GridQueryCancel

    public class GridQueryCancel
    extends Object

Holds query cancel state.

### Constructor Summary

Constructors
Constructor and Description
`GridQueryCancel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()` Executes cancel closure.
`void` `checkCancelled()` Stops query execution if a user requested cancel.
`void` `set(Runnable clo)` Sets a cancel closure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridQueryCancel

    public GridQueryCancel()

### Method Detail

#### set

    public void set(Runnable clo)
             throws QueryCancelledException

Sets a cancel closure.

Parameters:
  `clo` - Clo.
Throws:
  `QueryCancelledException`

#### cancel

    public void cancel()

Executes cancel closure.

#### checkCancelled

    public void checkCancelled()
                        throws QueryCancelledException

Stops query execution if a user requested cancel.

Throws:
  `QueryCancelledException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018